Create admin access token (Admin only)
curl --request POST \
--url https://cloud-api.near.ai/v1/admin/access-tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expires_in_hours": 123,
"name": "<string>",
"reason": "<string>"
}
'import requests
url = "https://cloud-api.near.ai/v1/admin/access-tokens"
payload = {
"expires_in_hours": 123,
"name": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expires_in_hours: 123, name: '<string>', reason: '<string>'})
};
fetch('https://cloud-api.near.ai/v1/admin/access-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"reason": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Admin
Create admin access token (Admin only)
Creates an access token for admin users with customizable expiration time, IP address, and user agent. This is typically used by billing services and other automated systems that need access to admin endpoints.
Security Note: These tokens can have very long expiration times and should be used with caution. Store them securely and rotate them regularly.
POST
/
v1
/
admin
/
access-tokens
Create admin access token (Admin only)
Authorizations
JWT access token for user authentication (Authorization: Bearer <jwt_token>). Create via POST /users/me/access_tokens.
Body
application/json